package com.deer.wms.produce.manage.model;

import com.deer.wms.project.seed.core.service.QueryParams;

import java.util.Date;
import java.util.List;

/**
* Created by guo on 2019/07/18.
*/
public class ProductProcessBomParams extends QueryParams {

    /**
     * 产品id
     */
    private Integer productId;

    private Integer productBomId;

    private String productName;

    private String productCode;

    /**
     * 加工规格型号
     */
    private String specification;

    private String productNum;

    private String productProcessName;



    /**
     *添加时间
     * @return
     */
    private Date createTime;

    /**
     * 加工描述内容
     * @return
     */
    private String processContent;

    /**
     * 工序表集合
     * @return
     */
    private List<ProcessBomParams> processBomParamsList;

    /**
     * id
     * @return
     */
    private Integer id;

    private String workSpecification;

    private Integer machiningProductId;

    private String memo;

    @Override
    public String toString() {
        return "ProductProcessBomParams{" +
                "productId=" + productId +
                ", productBomId='" + productBomId + '\'' +
                ", productName='" + productName + '\'' +
                ", productCode='" + productCode + '\'' +
                ", specification='" + specification + '\'' +
                ", productNum='" + productNum + '\'' +
                ", createTime=" + createTime +
                ", processContent='" + processContent + '\'' +
                ", processBomParamsList=" + processBomParamsList +
                ", id=" + id +
                '}';
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Integer getMachiningProductId() {
        return machiningProductId;
    }

    public void setMachiningProductId(Integer machiningProductId) {
        this.machiningProductId = machiningProductId;
    }

    public String getWorkSpecification() {
        return workSpecification;
    }

    public void setWorkSpecification(String workSpecification) {
        this.workSpecification = workSpecification;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public List<ProcessBomParams> getProcessBomParamsList() {
        return processBomParamsList;
    }

    public void setProcessBomParamsList(List<ProcessBomParams> processBomParamsList) {
        this.processBomParamsList = processBomParamsList;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getProcessContent() {
        return processContent;
    }

    public void setProcessContent(String processContent) {
        this.processContent = processContent;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductNum() {
        return productNum;
    }

    public void setProductNum(String productNum) {
        this.productNum = productNum;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public Integer getProductBomId() {
        return productBomId;
    }

    public void setProductBomId(Integer productBomId) {
        this.productBomId = productBomId;
    }

    public String getProductProcessName() {
        return productProcessName;
    }

    public void setProductProcessName(String productProcessName) {
        this.productProcessName = productProcessName;
    }
}
